Bug 1373468 - [RFE] Switch from SSH drivers to virtualbmc
Summary: [RFE] Switch from SSH drivers to virtualbmc
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat OpenStack
Classification: Red Hat
Component: python-virtualbmc
Version: 11.0 (Ocata)
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: Upstream M3
: 11.0 (Ocata)
Assignee: Lucas Alvares Gomes
QA Contact: mlammon
URL:
Whiteboard:
Depends On: 1373509
Blocks: 1416530 1421820 1455114 1467176
TreeView+ depends on / blocked
 
Reported: 2016-09-06 11:25 UTC by Dmitry Tantsur
Modified: 2017-07-03 06:24 UTC (History)
17 users (show)

Fixed In Version: python-virtualbmc-1.0.0-3.el7ost
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
: 1373509 (view as bug list)
Environment:
Last Closed: 2017-05-17 19:33:22 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHEA-2017:1245 normal SHIPPED_LIVE Red Hat OpenStack Platform 11.0 Bug Fix and Enhancement Advisory 2017-05-17 23:01:50 UTC

Description Dmitry Tantsur 2016-09-06 11:25:30 UTC
Upstream Ironic is switching from using pxe_ssh driver to using pxe_ipmitool + a proxy tool called virtualbmc: https://github.com/openstack/virtualbmc. This allows using the same driver for testing and for production. This affects both undercloud and overcloud

Rough work items:
1. Package virtualbmc
2. Create puppet manifests for deploying it
3. Install virtualbmc in undercloud
4. Install virtualbmc in overcloud
5. Switch instack-virt-setup and ooo-quickstart to using it

Comment 2 David Hill 2016-10-17 21:25:48 UTC
Will that break customers using pxe_ssh for managing their overcloud?  If that's the case, then removing this driver will break the upgradability of some overclouds unless each nodes using pxe_ssh are migrated to pxe_ipmitool beforehand.

Comment 3 Dmitry Tantsur 2016-10-20 09:14:00 UTC
Hi! It probably will. So, for the upgrade we're planning to provide pxe_ssh drivers in another package (openstack-ironic-staging-drivers). Please keep in mind that upstream has never supported pxe_ssh driver in production, and that the deprecation period has begun in OSP 10.

Comment 4 Dmitry Tantsur 2017-01-06 16:46:47 UTC
Good progress here. Lucas, what is left?

Comment 5 David Hill 2017-01-06 19:48:16 UTC
This works for me now...

Comment 6 Lucas Alvares Gomes 2017-01-11 11:57:49 UTC
@Dmitry, the overcloud bits still needs some work. Right now we have virtualbmc setup for the undercloud and tripleo-quickstart should be using it to deploy the nodes.

Comment 8 mkovacik 2017-01-17 15:33:52 UTC
Just to link it, introspection issues: https://bugs.launchpad.net/tripleo/+bug/1651719

Comment 11 Lucas Alvares Gomes 2017-01-30 11:27:37 UTC
So the current update of this BZ:

* VirtualBMC is already packaged in RDO: https://review.rdoproject.org/r/#/c/3756/

* The TripleO-Quickstart support for VirtualBMC has been merged:
https://review.openstack.org/#/c/399704/

* Instack-undercloud hasn't been updated to use VirtualBMC. It's unsure whether we need to put some effort on it or not since TripleO-Quickstart is going to replace it next cycle (Pike). Also, Ironic will keep the *_ssh drivers in tree for the Ocata release, which will TripleO the time needed for switching instack-undercloud.

...

We still need to test the Ironic in the overcloud with VirtualBMC, I don't foresee any code modification for that, only documentation. Because right now the VBMCs runs on the undercloud node, so we need to change the "pm_address" option in the instackenv.json for the overcloud Ironic to point to the external IP address of the undercloud. That should do the trick.

Comment 12 Dmitry Tantsur 2017-01-30 12:33:22 UTC
> Instack-undercloud hasn't been updated to use VirtualBMC

I think you mean instack-virt-setup, right? If so, we should not bother as it was officially deprecated in Ocata.

> We still need to test the Ironic in the overcloud with VirtualBMC

This can be done a part of moving this task to ON_QA. I suggest moving it to POST if you don't have other TODO items. WDYT?

P.S.
We need upstream documentation on tripleo.org, but it can be don async as well.

Comment 14 Lucas Alvares Gomes 2017-01-30 13:43:56 UTC
(In reply to Dmitry Tantsur from comment #12)
> > Instack-undercloud hasn't been updated to use VirtualBMC
> 
> I think you mean instack-virt-setup, right? If so, we should not bother as
> it was officially deprecated in Ocata.
> 

Ops, yeah.

> > We still need to test the Ironic in the overcloud with VirtualBMC
> 
> This can be done a part of moving this task to ON_QA. I suggest moving it to
> POST if you don't have other TODO items. WDYT?
> 

Seems fine for me, doing that now.

> P.S.
> We need upstream documentation on tripleo.org, but it can be don async as
> well.

Comment 16 errata-xmlrpc 2017-05-17 19:33:22 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHEA-2017:1245


Note You need to log in before you can comment on or make changes to this bug.